Bug 167102 - CAN-2005-2728 byterange memory DoS
CAN-2005-2728 byterange memory DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
impact=moderate,public=20040707,sourc...
: Security
: 167103 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-30 07:46 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-608
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 09:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Joe Orton (2.87 KB, patch)
2005-08-30 07:46 EDT, Mark J. Cox (Product Security)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 29962 None None None Never

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-30 07:46:14 EDT
A flaw was found in Apache 2.0 where the byterange filter would buffer responses
into memory.  This could cause a Denial of Service through memory leak if a
remote attacker sends carefully crafted requests to a web server that has a CGI
script which usually would give a large response.
Comment 1 Mark J. Cox (Product Security) 2005-08-30 07:46:15 EDT
Created attachment 118245 [details]
Proposed patch from Joe Orton
Comment 3 Joe Orton 2005-08-30 08:20:22 EDT
Note that this also affects any dynamic response generator such as PHP.
Comment 4 Mark J. Cox (Product Security) 2005-08-31 10:45:35 EDT
*** Bug 167103 has been marked as a duplicate of this bug. ***
Comment 5 Mark J. Cox (Product Security) 2005-08-31 10:47:14 EDT
removing from U2proposed as this will go out in an async RHSA first for RHEL3&4
Comment 6 Red Hat Bugzilla 2005-09-06 09:36:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-608.html

Note You need to log in before you can comment on or make changes to this bug.